import { describe, it } from "vitest"
import { REPORT_REASONS } from "panoramax-js"
import Translations from "../../src/UI/i18n/Translations"

describe("PanoramaxDeleteReasonsTranslations", () => {
    it("should have a translation for every possible delete reason", () => {
        const t = Translations.t.image.panoramax
        for (const reason of REPORT_REASONS) {
            if (t.report[reason] === undefined) {
                throw "No translation for delete reason " + reason
            }
        }
    })
})
